import axios from '@/common/services/axios-instance'

class CompositeDatabaseService {
  // 校验权限(综合资料)
  checkPermission() {
    return axios({
      url: `api/xcoa-mobile/v1/spiccompositedatabase/checkPermission`,
    })
  }

  // 校验权限(年度报告)
  checkAnnualReportPermission() {
    return axios({
      url: `api/xcoa-mobile/v1/spicannualreport/checkAnnualReportPermission`,
    })
  }
}

export default new CompositeDatabaseService()
